import type { _VNFaceLandmarkRegion2D } from "./VNFaceLandmarkRegion2D.js";
import type { _VNFaceLandmarks } from "./VNFaceLandmarks.js";
export declare class _VNFaceLandmarks2D extends _VNFaceLandmarks {
    static alloc(): _VNFaceLandmarks2D;
    static new(): _VNFaceLandmarks2D;
    init(): _VNFaceLandmarks2D;
    /** allPoints the region containing all face landmark points. */
    allPoints(): _VNFaceLandmarkRegion2D | null;
    /**
     * faceContour the region containing the points that describe the face contour from cheek over chin to cheek.
     */
    faceContour(): _VNFaceLandmarkRegion2D | null;
    /**
     * leftEye the region containing the points describing the outline of the left eye.
     */
    leftEye(): _VNFaceLandmarkRegion2D | null;
    /**
     * rightEye the region containing the points describing the outline of the right eye.
     */
    rightEye(): _VNFaceLandmarkRegion2D | null;
    /**
     * leftEyebrow the region containing the points describing the trace of the left eyebrow.
     */
    leftEyebrow(): _VNFaceLandmarkRegion2D | null;
    /**
     * rightEyebrow the region containing the points describing the trace of the right eyebrow.
     */
    rightEyebrow(): _VNFaceLandmarkRegion2D | null;
    /** nose the region containing the points describing the outline of the nose. */
    nose(): _VNFaceLandmarkRegion2D | null;
    /**
     * noseCrest the region containing the points describing the trace of the center crest of the nose.
     */
    noseCrest(): _VNFaceLandmarkRegion2D | null;
    /**
     * medianLine the region containing the points describing the trace of the center line of the face.
     */
    medianLine(): _VNFaceLandmarkRegion2D | null;
    /**
     * outer lips the region containing the points describing the outline of the outside of the lips.
     */
    outerLips(): _VNFaceLandmarkRegion2D | null;
    /**
     * innerLips the region containing the points describing the outline of the space between the of the lips.
     */
    innerLips(): _VNFaceLandmarkRegion2D | null;
    /**
     * leftPupil the region containing the point where the left pupil is located. This value may be inaccurate if the face isBlinking.
     */
    leftPupil(): _VNFaceLandmarkRegion2D | null;
    /**
     * rightPupil the region containing the point where the right pupil is located. This value may be inaccurate if the face isBlinking.
     */
    rightPupil(): _VNFaceLandmarkRegion2D | null;
}
